List sync jobs
/sync-job
Query Parameters
The name of the integration you want to filter the sync jobs by.
hubspotThe ID of the environment you want to filter the sync jobs by.
1ba1f401-7183-47c5-9e39-e8e257e3c795Response Body
JSON schema defining the structure of the arguments that can be passed to the sync job. Same shape as JsonSchemaObject (top-level { type: "object", properties }).
{
"type": "object",
"properties": {
"project_slug": {
"type": "string",
"description": "The project slug of the project on CircleCI. Its in the format vcs_provider/org_name/repo_name.",
"required": true
}
}
}
7 properties
Map of property name → JsonSchemaObjectProperties.
object
The date and time when the sync job was created.
2021-08-10T10:00:00.000ZThe ID of the environment that this sync job belongs to.
05daecaf-4365-42e8-8370-8127de5dd717The ID of the sync job.
4a4de828-f4db-4c9e-adfd-434e0864c3c7The name of the integration that this sync job interacts with.
zendeskThe resources to sync as part of the sync job.
7 properties
The resource that this resource depends on (parent resource). This is optional and can be used to sync a resource only after another resource has been synced. Each object synced for the parent resource is available as the resources object in placeholders for the child resource, e.g. {{resources.crm.contacts.id}} if depends on is crm/contacts resource.
crm/contactsThe ID of the resource to sync. This is optional and can be used to sync a single resource. It also supports placeholders.
Static value like `4a4de828-f4db-4c9e-adfd-434e0864c3c7` or placeholder like `{{args.user_id}}`.When a particular placeholder argument is an array and you want to repeat the request for each element in that array, you can set this parameter. For example, if you accept an argument called user_ids which is an array of strings, and you want to fetch each user's details, you can set this parameter to user_ids and the request will be repeated for each element in the user_ids array.
{"{ args.user_ids }":null}The method to call on the resource.
listWhether to persist the resource in the database or not in case of a Daemon sync job run or send as a payload in case of RapidBridge sync job run. The Proxy API resources are by default NOT persisted and this parameter can be set to true to persist them. Unified API resources are always persisted.
The query parameters to pass to the resource method. It supports placeholders for values.
{
"page": 1,
"per_page": 100,
"user_id": "{{args.user_id}}"
}
The name of the resource to sync. For Unified APIs, it should be in the format unified_api_name/resource_name. For Proxy API, it can just be resource_name.
For fetching Contacts from CRM Unified API, `crm/contacts`. For fetching Contacts from a Proxy API, `contacts`.The date and time when the sync job was last updated.
2021-08-10T10:00:00.000Zcurl -X GET 'https://api.truto.one/sync-job' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json'const response = await fetch('https://api.truto.one/sync-job', {
method: 'GET',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/sync-job"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
}
response = requests.get(url, headers=headers, params=params)
print(response.json())import Truto from '@truto/truto-ts-sdk';
const truto = new Truto({
token: '<your_api_token>',
});
for await (const item of truto.syncJob.list()) {
console.log(item);
}import asyncio
from truto_python_sdk import TrutoApi
truto_api = TrutoApi(token="<your_api_token>")
async def main():
async for item in truto_api.sync_jobs.list():
print(item)
asyncio.run(main())